function X_A_k=active_set_A(eta_r, gamma)
%Compute the active set, i.e., {i:|grad(u_k_i)|_r^{r-1}>=gamma}.
%Output:
%  X_A_k   - logical vector
%Input:
%nabla_u_k - input gradient vector
%  gamma   - bound
%    m     - half of the length of the gradient vector
%    r     - r>=1
%Written by Monserrat Rincon on Oct. 14, 2007.
%Modified by Yiqiu Dong on Oct. 19, 2007.

%eta_r=function_eta_r(nabla_u_k,m,r);
X_A_k=eta_r>=gamma;