function ker=out_of_focus(r)
% ker=out_of_focus(r)
% This function generate a out-of-focus kernel
%    r --- the radius of the kernel.

for i=-r:r
    for j=-r:r
        if (i^2+j^2<=r^2) 
            ker(r+1+i,r+1+j)=1;
        end
    end
end
ker=ker/sum(ker(:));